# Generated by Django 2.2 on 2019-04-20 21:04

from decimal import Decimal
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import djmoney.models.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [migrations.swappable_dependency(settings.AUTH_USER_MODEL)]

    operations = [
        migrations.CreateModel(
            name="Debtor",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("relative_value", models.FloatField()),
                ("confirmed", models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name="Payment",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("updated", models.DateTimeField(auto_now=True)),
                ("archived", models.BooleanField(default=False)),
                (
                    "payment_value_currency",
                    djmoney.models.fields.CurrencyField(
                        choices=[("PLN", "Zloty")],
                        default="XYZ",
                        editable=False,
                        max_length=3,
                    ),
                ),
                (
                    "payment_value",
                    djmoney.models.fields.MoneyField(
                        decimal_places=4, default=Decimal("0.0"), max_digits=19
                    ),
                ),
                (
                    "debtors",
                    models.ManyToManyField(
                        through="payments.Debtor", to=settings.AUTH_USER_MODEL
                    ),
                ),
                (
                    "payer",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="performed_payments",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={"abstract": False},
        ),
        migrations.AddField(
            model_name="debtor",
            name="payment",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="payments.Payment"
            ),
        ),
        migrations.AddField(
            model_name="debtor",
            name="user",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="as_debtor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
    ]
